RankSharkDocs
Reports

Dashboard figures

RankShark EnhanceScopereports:read

GET
/api/v1/dashboard/stats

Totals for the period and the change against the period of the same length before it.

Authorization

headerAuthorizationBearer <token>

An Enhance API key (rsen_…) or an OAuth 2.1 access token, as "Authorization: Bearer …".

Query Parameters

from?string

Start (ISO 8601; without an offset: the workspace's time zone)

Formatdate-time
to?string

End (ISO 8601)

Formatdate-time

Response Body

OK

application/json
  1. response
TotalVisitorsSent?integer
VisitorsSentByDay?array<>
TotalVisitorsSentChange?number

Change against the previous period of the same length, %

TotalActiveCampaigns?integer
TotalActiveCampaignsChange?number
TotalCreatedCampaigns?integer
TotalCreatedCampaignsChange?number
StartDateTime?string
Formatdate-time
EndDateTime?string
Formatdate-time
AllCampaignsByDay?array<>

Campaigns created, per day

AllActiveCampaignsByDay?array<>
Example Request
curl -X GET 'https://panel.rankshark.io/api/v1/dashboard/stats'
Example Response
{  "TotalVisitorsSent": 0,  "VisitorsSentByDay": [    {      "Key": "string",      "Value": 0    }  ],  "TotalVisitorsSentChange": 0,  "TotalActiveCampaigns": 0,  "TotalActiveCampaignsChange": 0,  "TotalCreatedCampaigns": 0,  "TotalCreatedCampaignsChange": 0,  "StartDateTime": "2019-08-24T14:15:22Z",  "EndDateTime": "2019-08-24T14:15:22Z",  "AllCampaignsByDay": [    {      "Key": "string",      "Value": [        {          "Id": "string",          "CampaignName": "string",          "TargetKeywod": "string",          "TargetWebsiteOrBusinessName": "string",          "Tags": [            "string"          ],          "CreatedDate": "2019-08-24T14:15:22Z",          "lastStatus": "string",          "Running": true,          "Stopped": true,          "Completed": true,          "TotalVisitorsSent": 0,          "DailyVisitorsSent": 0,          "DailyVisitorsLimit": 0,          "Configuration": {},          "Tasks": [            {}          ],          "FlowGraph": "string"        }      ]    }  ],  "AllActiveCampaignsByDay": [    {      "Key": "string",      "Value": 0    }  ]}